Summor och produkter
Prev | Chapter 6. Programmering med GEL | Next

## Summor och produkter

Syntax:

    sum <identifier> = <from> to <to> do <body>
    sum <identifier> = <from> to <to> by <increment> do <body>
    sum <identifier> in <matrix> do <body>
    prod <identifier> = <from> to <to> do <body>
    prod <identifier> = <from> to <to> by <increment> do <body>
    prod <identifier> in <matrix> do <body>

If you substitute `for` with `sum` or `prod`, then you will get a sum or a product instead of a `for` loop. Instead of returning the last value, these will return the sum or the product of the values respectively.

Om ingen kropp exekveras (till exempel `sum i=1 to 0 do ...`) så kommer `sum` att returnera 0 och `prod` att returnera 1 som är standardkonventionen.

För flyttal görs samma skydd mot avrundningsfel som i for-slingan. Se the section called “For-slingor”.

Prev | Up | Next
Slingor | Home | Jämförelseoperatorer